### Class

# Notify Notification

#### Description [src]

    class Notify.Notification : GObject.Object {
      /* No available fields */
    }

A passive pop-up notification.

`NotifyNotification` represents a passive pop-up notification. It can contain summary text, body text, and an icon, as well as hints specifying how the notification should be presented. The notification is rendered by a notification daemon, and may present the notification in any number of ways. As such, there is a clear separation of content and presentation, and this API enforces that.

#### Ancestors

- GObject

#### Constructors

###### notify_notification_new

Creates a new `NotifyNotification`.

#### Instance methods

###### notify_notification_add_action

Adds an action to a notification.

###### notify_notification_clear_actions

Clears all actions from the notification.

###### notify_notification_clear_hints

Clears all hints from the notification.

###### notify_notification_close

Synchronously tells the notification server to hide the notification on the screen.

###### notify_notification_get_activation_token

Gets the activation token of the notification.

since: 0.7.10

###### notify_notification_get_closed_reason

Returns the closed reason code for the notification.

###### notify_notification_set_app_name

Sets the application name for the notification.

since: 0.7.3

###### notify_notification_set_category

Sets the category of this notification.

###### notify_notification_set_hint

Sets a hint for `key` with value `value`.

since: 0.6

###### notify_notification_set_hint_byte

Sets a hint with a byte value.

deprecated: 0.6.

###### notify_notification_set_hint_byte_array

Sets a hint with a byte array value.

deprecated: 0.6.

###### notify_notification_set_hint_double

Sets a hint with a double value.

deprecated: 0.6.

###### notify_notification_set_hint_int32

Sets a hint with a 32-bit integer value.

deprecated: 0.6.

###### notify_notification_set_hint_string

Sets a hint with a string value.

deprecated: 0.6.

###### notify_notification_set_hint_uint32

Sets a hint with an unsigned 32-bit integer value.

deprecated: 0.6.

###### notify_notification_set_icon_from_pixbuf

Sets the icon in the notification from a `GdkPixbuf`.

deprecated: 0.5.

###### notify_notification_set_image_from_pixbuf

Sets the image in the notification from a `GdkPixbuf`.

since: 0.5

###### notify_notification_set_timeout

Sets the timeout of the notification.

###### notify_notification_set_urgency

Sets the urgency level of this notification.

###### notify_notification_show

Tells the notification server to display the notification on the screen.

###### notify_notification_update

Updates the notification text and icon.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Notify.Notification:app-name

The name of the application for the notification.

since: 0.7.3

###### Notify.Notification:body

The body of the notification.

###### Notify.Notification:closed-reason

The closed reason of the notification.

###### Notify.Notification:icon-name

The icon-name of the icon to be displayed on the notification.

###### Notify.Notification:id

The Id of the notification.

###### Notify.Notification:summary

The summary of the notification.

#### Signals

###### Notify.Notification::closed

Emitted when the notification is closed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct NotifyNotificationClass {
      GObjectClass parent_class;
      void (* closed) (
        NotifyNotification* notification
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`closed: void (* closed) ( NotifyNotification* notification )`
  No description available.

#### Virtual methods

###### Notify.NotificationClass.closed

No description available.